:root {
  --fs-xl: clamp(3rem, 8vw + 1rem, 14rem);
  --fs-800: 2.5rem;
  --fs-700: 2rem;
  --fs-600: 1.5rem;
  --fs-500: 1.2rem;
  --fs-400: 1rem;
  --fs-300: 0.8rem;
  --fs-200: 0.7rem;
}

@font-face {
	font-family:'Anton SC';
	src: url(../Anton_SC/AntonSC-Regular.ttf) format('truetype');
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}


html, body {
  height: 100%;
  margin: 0;
  padding: 0;
}

main {
  flex: 1;  /* Allows main to grow and fill the remaining space */
}

.sitewrapper {
  /* width: 100vw; */
  /* max-width: 100vw; */
  /* overflow-x: hidden; */
  background-color: black;
  font-family: 'Open Sans', sans-serif;
  font-weight: 300;
  color: black;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}

.header-container{
  position: relative; /* Referenz für absolute Positionierung */
}

li {
  list-style: none;
}

a {
  color: #d01e2e;
  text-decoration: none;
}

a:hover {
  color: #e3b625;;
}

p{
  font-size: var(--fs-500);
  font-weight: 300;
}

h2{
  font-size: var(--fs-700);
  font-weight: 800;
}

  #logowrapper {
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 50%;
    /* z-index: 500; */
  }
  
  
  #titellogo {
	width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;                   
   	color: #e3b625;
    white-space: wrap;
    text-shadow: 3px 3px 4px rgba(0, 0, 0, 0.6);
    text-decoration: none;
    font-family: 'Open Sans', sans-serif;
    font-size: var(--fs-xl);
    font-weight: 600;               
    font-style: normal;
    /* letter-spacing: 1px; */
  }

/*Slides*/

.everything-slide{
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  padding: 30px 0 30px 0;
}

#slidewrapper {
position: relative;
  width: 100%;
  /* max-width: 1900px; */
}

.slideshow {
  width: 100%;
  max-width: 100%;
  overflow: hidden;
}

.slideshow img {
  width: 100%;
  object-fit: cover;
}
  .slideshow .slide {
    position: relative;
  }
  .slideshow .slide::after {
    content: attr(data-fotograf);
    position: absolute;
    bottom: 5px;
    right: 10px;
    color: gray;
    font-size: var(--fs-200);
    font-weight: 100;
    padding: 2px 6px;
    z-index: 100;
  }

  .handleBtn {
    opacity: 0.55;
    background-color: transparent;
    border-radius:6px;
    border:0px solid #333;
    display:inline-block;
    cursor:pointer;
    color:#ddd;
    font-size:20px;
    padding:12px 12px;
    text-decoration:none;
    position: absolute;
    top: 50%;
	z-index: 10000;
  }
  .handleBtn:hover {
    opacity: .65;
  }

  #prev {
    left: 1em;
  }

  #next {
    right: 1em;
  }

.navbar{
 
  min-height: 60px;
  display: flex;
  justify-content: center;
  gap: 60px;
  align-items: center;
  padding: 0 24px;
  z-index: 100000;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.5);
    
}

.nav-branding{
  font-size: var(--fs-500);
  display: flex;
  align-items: center;
}
    .nav-branding img{
      max-height: 28px;
      display: block;
    }

.nav-menu{
  display: flex;
  /* justify-content: space-between; */
  align-items: center;
  gap: 60px;
}

.nav-link{
  transition: 0.3s ease;
  font-size: var(--fs-500);
  font-weight: 400;
  color: #e3b625;
}

.nav-link:hover{
  color: #d01e2e;
}

.hamburger{
  display: none;
  cursor: pointer;
}

.bar{
  display: block;
  width: 25px;
  height: 3px;
  margin: 5px auto;
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
  background-color: white;
}


#Announcements {
    scroll-margin-top: 80px;
}
#Dates {
    scroll-margin-top: 80px;
}
#TheBand {
    scroll-margin-top: 80px;
}


@media (max-width: 834px) {
  .hamburger{
    display: block;
  }

  .hamburger.active .bar:nth-child(2){
    opacity: 0;
  }
  .hamburger.active .bar:nth-child(1){
    transform: translateY(8px) rotate(45deg);
  }
  .hamburger.active .bar:nth-child(3){
    transform: translateY(-8px) rotate(-45deg);
  }

  .nav-menu{
    position: fixed;
    left: -100%;
    top: 60px;
    gap: 0;
    flex-direction: column;
    background-color: rgba(0, 0, 0, 0.5);
    width: 100%;
    text-align: center;
    transition: 0.3s;
  }

  .nav-menu.active{
    left: 0;
  }

  .nav-item{
    margin: 16px 0;
  }

  .navbar{
    gap: 30px;
  }
}


.Inhalt {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 0% 5% 0% 5%;
}

/*Felder*/

.Überschrift {
	margin:0;
	padding: 2em;
	color: #e3b625;
  background: #0a0a0a;
	height: auto;
	max-width: 1920px;
	width: 100%;
	display: flex;
	/* flex-wrap: wrap; */
	/* justify-content: center; */
	
}

.Abschnitt{
	height: auto;	
	max-width: 1920px;
	width: 100%;
  background: #d9d9d9;
  padding-top: 10%;
  padding-bottom: 10%;
	/* padding-top: 5em;
	padding-bottom: 5em; */
  line-height: 1.5em;
  text-align: center;
}
  

/*Announcements*/

.announcements{
font-size: var(--fs-700);
font-weight: 800;
color:#d01e2e;
padding-bottom: 1.5em;
}

/*Dates*/

.dates{
	line-height: 3em;
  display: flex;
  align-items: center;
}

.event-tabelle {
  width: 100%;
  table-layout: fixed;
  font-size: var(--fs-500);
}


/*The Band*/

.bild img {
	width: 100%;
	max-width: 1920px;
	height: auto;
	margin:0;
}

.text{
	margin: 0;
	height: auto;
	max-width: 1920px;
	width: 100%;
	background: #d9d9d9;
	font-size: var(--fs-400);
	padding: 2em;
	text-align: center;
	vertical-align: middle;
	line-height: 2em;
}


/* Fotos */

.grid-container {
    padding: 20px;
    gap: 20px;
    width:100%;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}
    .grid-item {
        display: flex;
        justify-content: center;
    }

    .description {
        margin-bottom: 2.5%;
        text-align: center;
        font-size: var(--fs-300);
        color: #e3b625;
    }

        .description:hover{
        color: #d01e2e;
    }

    .title-picture {
        display: flex;
        justify-content: center;
        border: 1px solid white;
    }
        .title-picture img{
            width: 100%;
            max-height: 300px;
            height: auto;
        }



@media  (max-width: 768px) {

    .grid-container {
        grid-template-columns: repeat(1, 1fr);
    }
}


/*footer*/

footer {
  display: flex;
 justify-content: center;
 	padding: 2em;
	background: #0a0a0a;
	
}

  footer a {
    color: #e3b625;	
  }
   footer a:hover {
    color: #d01e2e;	
  }


@media (min-width: 769px){
  :root {
    --fs-xl: clamp(1.5rem, 8vw + 1rem, 12rem);
	--fs-800: 1.7rem;
	--fs-700: 2rem;
    --fs-600: 2rem;
    --fs-500: 1.5rem;
    --fs-400: 1.3rem;
    --fs-300: 1.2rem;
    --fs-200: 0.9rem;
  }


}